Bug 191605 - Review Request: lineak-defaultplugin - default actions for lineakd
Review Request: lineak-defaultplugin - default actions for lineakd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 191604
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-13 15:42 EDT by Chris Petersen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 01:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Petersen 2006-05-13 15:42:37 EDT
Spec URL: http://forevermore.net/files/packages/lineak/lineak_defaultplugin.spec
SRPM URL: http://forevermore.net/files/packages/lineak/lineak_defaultplugin-0.8.4-1.src.rpm
Description: 

Plugin for lineakd that contains most of its default actions.
Comment 2 Chris Petersen 2006-05-21 04:41:31 EDT
Shuffling files around on my server, and making a few changes to bring things up
to par.

http://rpm.forevermore.net/lineak/lineak_defaultplugin.spec
http://rpm.forevermore.net/lineak/lineak_defaultplugin-0.8.4-2.src.rpm
Comment 4 Jason Tibbitts 2006-05-22 23:46:48 EDT
This fails to build in mock on both i386 and x86_64; I have no idea why.  The
build log ends with:

checking Looking for lineak headers... /usr/include/lineak
checking for X... no
checking for ac_check_lineak in -llineak... no
configure: error: lib lineak not found. Please install lineakd 0.8 or later.
error: Bad exit status from /var/tmp/rpm-tmp.60358 (%build)

I have verified that /usr/lib(64)?/liblineak.so exists and the ac_check_lineak
symbol is there.
Comment 6 Jason Tibbitts 2006-05-23 23:41:14 EDT
Now %configure succeeds, but the build fails due to a missing BR:
libxkbfile-devel.  Adding that gets me through the build.  For the purposes of
this review, I'll assume that it's there since there's no point in another
round; you can fix it when you check in.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   336b4fa5aa40b1166c2aa5418740357b  lineak_defaultplugin-0.8.4.tar.gz
   336b4fa5aa40b1166c2aa5418740357b  lineak_defaultplugin-0.8.4.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper (after adding libxkbfile-devel).
* package builds in mock (development, x86_64) (after adding libxkbfile-devel).
* rpmlint is silent.
* final provides and requires are sane:
   config(lineak-defaultplugin) = 0.8.4-4.fc6
   defaultplugin.so()(64bit)
   lineak_defaultplugin = 0.8.4
   mediadetectplugin.so()(64bit)
   lineak-defaultplugin = 0.8.4-4.fc6
  -
   config(lineak-defaultplugin) = 0.8.4-4.fc6
   libX11.so.6()(64bit)
   libXext.so.6()(64bit)
   libXtst.so.6()(64bit)
   libdl.so.2()(64bit)
   libgcc_s.so.1()(64bit)
   liblineak.so.0()(64bit)
   libm.so.6()(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
   lineakd = 0.8.4

* shared libraries are present, but internal to lineakd so ldconfig isn't called.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.